unit EditorJogo;

interface

uses
  SysUtils, Types, Classes, Variants, Types, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, QExtCtrls,
  gameEditor, Game, ComCtrls;

type
  TfrmEditor = class(TForm)
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    btnNumeroItem: TSpeedButton;
    SpeedButton7: TSpeedButton;
    SpeedButton8: TSpeedButton;
    SpeedButton9: TSpeedButton;
    SpeedButton10: TSpeedButton;
    SpeedButton11: TSpeedButton;
    SpeedButton12: TSpeedButton;
    btnNumero7: TSpeedButton;
    btnNumero8: TSpeedButton;
    btnNumero9: TSpeedButton;
    edtNumColunas: TSpinEdit;
    edtNumLinhas: TSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    Button1: TButton;
    Button2: TButton;
    edtArquivo: TEdit;
    Label3: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure btnNumeroItemMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure edtNumLinhasChanged(Sender: TObject; NewValue: Integer);
    procedure edtNumColunasChanged(Sender: TObject; NewValue: Integer);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject); 
  private
    { Private declarations }
    Editor: TGameEditor;
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

procedure TfrmEditor.FormCreate(Sender: TObject);
begin
    Editor := TGameEditor.Create(Self);
    edtNumColunas.Value := 6;
    edtNumLinhas.Value  := 6;
    with  Editor do begin
          Linhas  := 6;
          Colunas := 6;
          Top     := 30;
          Left    := 30;
          Parent  := Self;
    end;
end;

procedure TfrmEditor.SpeedButton1Click(Sender: TObject);
begin
  Editor.TipoObjeto := tpSpace;
end;

procedure TfrmEditor.SpeedButton2Click(Sender: TObject);
begin
  Editor.TipoObjeto := tpWall;
end;

procedure TfrmEditor.SpeedButton3Click(Sender: TObject);
begin
  Editor.TipoObjeto := tpDoor;
end;

procedure TfrmEditor.SpeedButton4Click(Sender: TObject);
begin
  Editor.TipoObjeto := tpBall;
end;

procedure TfrmEditor.SpeedButton5Click(Sender: TObject);
begin
  Editor.TipoObjeto := tpNone;
end;

procedure TfrmEditor.btnNumeroItemMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  Editor.NumeroObjeto := TSpeedButton(Sender).Tag;
end;

procedure TfrmEditor.edtNumLinhasChanged(Sender: TObject;
  NewValue: Integer);
begin
  Editor.Linhas := edtNumlinhas.Value;
end;

procedure TfrmEditor.edtNumColunasChanged(Sender: TObject;
  NewValue: Integer);
begin
  Editor.Colunas := edtNumColunas.Value;
end;

procedure TfrmEditor.Button2Click(Sender: TObject);
begin
  Editor.LoadFromFile(edtArquivo.Text);
end;

procedure TfrmEditor.Button1Click(Sender: TObject);
begin
  Editor.SaveToFile(edtArquivo.Text);
end;

end.
